`extract.data` <-
function (data, value="ask", lang="en", var.data=c("N.parameter","R.parameter","U.parameter"))
{
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Vrifications
	ask=FALSE
	if (length(value)==1) if (value=="ask") ask=TRUE
	if (!ask & length(value)!=length(var.data)) stop(c("value and var.data must have the same number of elements.","value et var.data doivent avoir le mme nombre d'lments.")[lg])
	if (length(value)!=length(na.exclude(value))) stop(c("NA is not allowed for value.","Les valeurs NA ne sont pas permises dans value.")[lg])
	if (length(var.data)!=length(na.exclude(var.data))) stop(c("NA is not allowed for var.data.","Les valeurs NA ne sont pas permises dans var.data.")[lg])
	for (i in 1:length(var.data)) {
		if (length(data[[var.data[i]]])==0) message(var.data[i],c(" is not present in data."," n'est pas prsent dans data.")[lg])
	}
	#Prparation fichier
	result <- data
	#Pour chaque variable
	for (i in 1:length(var.data)) {
		if (length(result[[var.data[i]]])!=0) { #Si le paramtre n'est pas spcifi, on passe au paramtre suivant.
			if (ask) {
				choix <- levels(as.factor(result[[var.data[i]]]))
				if (length(choix)==1) {
					message(c("Only one value of ","Une seule valeur de ")[lg],var.data[i],c(" was observed. It is : "," a t observe. Il s'agit de : ")[lg],choix,".")
					val.param <- choix
				} else {
					message(c("Choose the value of ","Choisissez la valeur de ")[lg],var.data[i]," :")
					val.param <- choix[menu(choix)]
				}
			}else { #La valeur du paramtre est fournie
				val.param <- value[i]
			}
			result <- result[result[[var.data[i]]]==val.param,]
			if (length(result[[1]])==0) stop(c("This choice for ","ce choix pour ")[lg],var.data[i],c(" induces an empty selection."," induit une slection vide.")[lg])
		}
	}
	#Rsultat final
	return(result)
}

