`map.cities` <-
function (cities, boundary, var.cities=c("x","y","city.name","population"), min.population=NULL, new.window=TRUE, ...) {
	if (new.window) X11()
	plot(boundary,asp=1,type='l', axes=FALSE,xlab=NA,ylab=NA)
	if (!is.null(min.population))
		cities <- cities[cities[[var.cities[4]]]>=min.population,]
	points(x=cities[[var.cities[1]]], y=cities[[var.cities[2]]], pch=22, bg='red')
	text(x=cities[[var.cities[1]]], y=cities[[var.cities[2]]], labels=as.character(cities[[var.cities[3]]]), adj=c(1,1))
	title(...)
}

