\name{make.cities.csv}
\alias{make.cities.csv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Gnre un data.frame avec les coordonnes de villes  partir d'un fichier csv.}
\description{
Importe un fichier csv, liste les diffrentes colonnes et demande  l'utilisateur de slectionner les donnes correspondant  la longitude, la latitude, le nom et la population de chaque ville. Permet typiquement d'importer des donnes  partir du \emph{Global Rural - Urban Mapping Project (GRUMP)}, disponibles gratuitement  \url{http://sedac.ciesin.columbia.edu/gpw/}.
}
\usage{
make.cities.csv(file, lang = "en")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier csv  importer. Les donnes doivent tre spares par des virgules, et le spareur de dcimales tre le point.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
}
\details{
Une interface textuelle guide l'utilisateur.

}
\value{
Renvoie un data.frame avec 4 colonnes :
  \item{city.name}{Nom de la ville}
  \item{x}{Longitude du centre de la ville}
  \item{y}{Latitude du centre de la ville}
  \item{population}{Population de la ville}

  Les donnes sont tries par population dcroissante}
\note{
Pour un exemple concret, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\examples{
\dontrun{
burkina.cities <- make.cities.csv('bfapv1.csv')
}

}
\keyword{file}