\name{map.cities}
\alias{map.cities}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Reprsente les villes contenues dans un data.frame sur une carte.}
\description{
Permet de reprsenter sur une carte les points contenus dans un data.frame ainsi que le nom de chaque point.
}
\usage{
map.cities(
   cities,
   boundary,
   var.cities = c("x", "y", "city.name", "population"),
   min.population = NULL,
   new.window = TRUE,
   ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{cities}{data.frame. Contient les villes/points  reprsenter.}
  \item{boundary}{data.frame. Contient deux colonnes, \emph{x} et \emph{y}. Srie de points dfinisant un polygone correspondant aux limites de la zone tudie.}
  \item{var.cities}{character vector. Liste des noms des variabales de \code{cities} correspondant, dans l'ordre,  la longitude, la latitude, le nom et la population associs  chaque ville/point. Si \code{min.population = NULL}, la quatrime valeur de \code{var.cities} n'est pas requise.}
  \item{min.population}{numeric. Si prcis, seules les villes ayant une population au moins gale  cette valeur seront reprsentes.}
  \item{new.window}{logical. Indique si la carte doit tre effectue dans une nouvelle fentre.}
  \item{\dots}{Paramtres supplmentaires passs  la fonction \code{\link[graphics]{title}}. Voir l'aide de cette fonction.}
}
\details{
Dessine le polygone dfini par \code{boundary}, puis les diffrents points slectionns de \code{cities} et ajoute leur nom  ct de chacun d'eux.
}
\examples{
data(alicante)

map.cities(
	alicante.cities,
	alicante.bounds,
	main='Cities of Alicante')

map.cities(
	alicante.cities,
	alicante.bounds,
	min.population=100000,
	main='Main cities of Alicante')

}
\keyword{dplot}