\name{prevR-package}
\alias{prevR-package}
\alias{prevR}
\docType{package}
\title{
Prevalence estimation with DHS data - Estimation des prvalences  partir des donnes EDS.
}
\description{
Ce package permet d'importer des donnes de type EDS (Enqute Dmographique et de Sant), de les formater, puis de cartographier la prvalence d'un phnomne par estimation de la prvalence de chaque point enqut et interpolation spatiale. Les rsultats peuvent ensuite tre exports vers d'autres logiciels de statistiques ou de cartographie (SIG). La documentation n'est disponible pour le moment qu'en franais.
}
\details{
\tabular{ll}{
Package: \tab prevR\cr
Type: \tab Package\cr
Version: \tab 1.11\cr
Date: \tab 2007-11-30\cr
License: \tab CeCILL-C - \url{http://www.cecill.info/}\cr
Web: \tab \url{http://www.ceped.org/prevR/},\cr
 \tab \url{http://joseph.larmarange.net/prevR/}\cr
License: \tab CeCILL-C - \url{http://www.cecill.info/}\cr
}
Pour plus d'informations sur la manire d'utiliser ce package, nous vous conseillons la lecture du tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\author{
Joseph LARMARANGE <joseph@larmarange.net> IRD - Centre Muraz with supports of ANRS

Maintainer: Joseph LARMARANGE <joseph@larmarange.net>
}
\references{
- Joseph Larmarange et al., 2006, 'Cartographier les donnes des enqutes dmographiques et de sant  partir des coordonnes des zones d'enqute', Chaire Qutelet, 29 novembre au 1er dcembre 2006, Universit Catholique de Louvain, Louvain-la-Neuve, Belgique.\cr
Disponible en ligne  (\url{http://www.uclouvain.be/13881.html}).

- Joseph LARMARANGE, \emph{Prvalences du VIH en Afrique : validit d'une mesure}, thse de doctorat en dmographie, sous la direction de Benot FERRY, universit Paris Descartes, 2007.\cr
Disponible en ligne sur (\url{http://joseph.larmarange.net/}).
}
\keyword{ package }
\seealso{
Packages ncessaires pour l'excution de prevR :
  \code{\link[fields:fields-package]{fields}}
  \code{\link[sp:sp-package]{sp}}
  \code{\link[gstat:gstat-package]{gstat}}
  \code{\link[maptools:maptools-package]{maptools}}
}
\examples{

## Pour une dmonstration des possibilits de prevR

demo(prevR)

}
