`check.names` <-
function (data, lang='en', size.max = 10) {
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#vrifications
	if (!is.data.frame(data)) stop(c("data must be a data.frame.","data doit tre un tableau de donnes.")[lg])
	if (!is.numeric(size.max)) stop(c("size.max must be an integer.","size.max doit tre un entier.")[lg])
	#Rcupration des noms
	noms <- as.data.frame(names(data), stringsAsFactors=FALSE)
	names(noms) <- 'variable'
	noms$size <- nchar(noms$variable)
	# Modification des noms
	while(max(noms$size)>size.max) {
		message(c("Certain variables have a name exceeding ","Certaines variables ont un nom dpassant ")[lg],size.max,c(" characters. Please enter new names."," caractres. Veuillez entrer de nouveaux noms.")[lg])
		message(c("To remove a variable, enter NULL.","Pour supprimer une variable, entrez NULL.")[lg])
		noms <- edit(noms)
		noms$size <- nchar(noms$variable)
	}
	result <- data
	names(result) <- noms$variable
	#Supression des colonnes inutiles
	for (i in 1:length(noms[noms$variable=='NULL',]$variable)) result[['NULL']] <- NULL
	#Renvoi final
	return(result)
}

