`infos.prev` <-
function (prev, lang="en", var.n='n', var.nweight='nweight', var.obs.prevalence='obs.prevalence', var.city.name='city.name', var.circle.radius='circle.radius') {
	#Vrification langue
	if (lang=="fr") lg <- 2
	else lg <- 1
	#Calculs
	nb.clusters <- length(prev[[1]])
	n.total <- sum(prev[[var.n]])
	global.prevalence <- round(weighted.mean(prev[[var.obs.prevalence]],prev[[var.nweight]],na.rm=TRUE),digits=2)
	message(c("Statistics of this file:","Statistiques du fichier :")[lg])
	message("* ",nb.clusters,c(" clusters."," clusters.")[lg])
	message("* ",n.total,c(" valid observations."," observations valides.")[lg])
	message("* ",c("Global prevalence of ","Prvalence globale de ")[lg],global.prevalence,"%.")
	message("* ",c("Value of Noptimal proposed: ","Valeur de Noptimal propose : ")[lg],N.optim(n.total,global.prevalence,nb.clusters))
	if (length(prev[[var.city.name]])!=0) {
		villes <- levels(as.factor(prev[[var.city.name]]))
		message("* ",c("Number of found urban centers: ","Nombre d'agglomrations urbaines trouves : ")[lg],length(villes))
		message("* ",c("Names of found urban centers:","Noms des agglomrations urbaines trouves :")[lg])
		message(paste(villes,collapse=', '),'.')
	}
	if (length(prev[[var.circle.radius]])!=0) {
		message("* ",c("Quantiles of the radius of the smoothing circles:","Quantiles des rayons des cercles de lissage :")[lg])
		print(round(quantile(prev[[var.circle.radius]], probs=c(0.5,0.75,0.80,0.85,0.90,0.95,0.99)),digits=1))
	}
}

