`rename.variables.parameters` <-
function (data) {
	#Vrifications
	if (length(data$N.parameter)==0) stop("data must contain the N.parameter column.")
	if (length(data$R.parameter)==0) stop("data must contain the R.parameter column.")
	if (length(data$U.parameter)==0) stop("data must contain the U.parameter column.")
	#Rcupration des paramtres
	N <- data$N.parameter[1]
	R <- data$R.parameter[1]
	U <- data$U.parameter[1]
	#Suppression des colonnes inutiles
	data$N.parameter <- NULL
	data$R.parameter <- NULL
	data$U.parameter <- NULL
	#Rcupration des noms
	noms <- names(data)
	#Modifications des noms des variables produites par estimate.prev
	noms[noms=='est.prevalence'] <- paste('est.prevalence.N',N,'.R',R,'.U',U,sep='')
	noms[noms=='circle.count'] <- paste('circle.count.N',N,'.R',R,'.U',U,sep='')
	noms[noms=='circle.radius'] <- paste('circle.radius.N',N,'.R',R,'.U',U,sep='')
	noms[noms=='circle.nb.clusters'] <- paste('circle.nb.clusters.N',N,'.R',R,'.U',U,sep='')
	noms[noms=='quality.indicator'] <- paste('quality.indicator.N',N,'.R',R,'.U',U,sep='')
	#Mise  jour du fichier
	names(data) <- noms
	#Renvoi final
	return(data)
}

