\name{check.names}
\alias{check.names}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Permet de renommer et de supprimer les colonnes d'un tableau de donnes.}
\description{
Cette fonction vrifie si les noms de colonnes d'un tableau de donnes dpassent une certaine longueur. Si c'est le cas, l'utilisateur est invit  renommer les noms de colonnes du tableau de donnes. Il peut galement supprimer certaines colonnes par la mme occasion. Cette fonction est particulirement indique avant d'exporter des donnes, notamment aux formatx \emph{dbf} et \emph{shapefile} dans la mesure o les noms de colonnes ne doivent pas dpasser les 10 caractres pour ce type de fichier.
}
\usage{
check.names(data, lang='en', size.max = 10)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{data.frame. Dont on veut vrifier les noms de colonnes.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
  \item{size.max}{character vector. Nombre maximum de caractres autoriss pour le nom des variables.}
}
\value{
Renvoie \code{data} aprs avoir renomm les diffrentes colonnes. Si une colonne a t renomme NULL, alors elle sera supprime.

Si tous les noms de colonnes de \code{data} ont une longueur infrieure ou gale  \code{size.max}, alors \code{data} est directement renvoy tel quel par la fonction.
}
\note{
Si, aprs une saisie par l'utilisateur de nouveaux noms, certains ont toujours une longueur suprieure  \code{size.max}, alors l'utilisateur sera contraint de modifier  nouveau les noms de colonnes concerns. Afin de  reprer facilement les noms de colonnes trop longs, la longeur (en nombre de caractres) de chaque nom est indique dans une colonne \emph{size}.

Cette fonction est notamment appele par \code{\link{write.prev.shp}}.
}
\examples{
\dontrun{
data(alicante)

alicante.clust.check <- check.names(alicante.clust)
write.dbf(alicante.clust.check, 'alicante_clust.dbf')
}
}

\keyword{manip}