\name{extract.col}
\alias{extract.col}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Extrait les colonnes d'un data.frame selon une condition sur leur nom.}
\description{
Cette fonction permet d'extraire d'un data.frame les colonnes dont le nom contient une certaine chane de caractre.\cr
Typiquement, cette fonction est pratique pour afficher les rsultats de \code{\link{krige.prev}} avec \code{\link[lattice]{spplot}} (voir exemple).
}
\usage{
extract.col(
   x,
   value='.pred'
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{data.frame ou SpatialPixelsDataFrame. Dont on veut extraire des colonnes.}
  \item{value}{character. Chane de caractres recherches dans le nom des colonnes.}
}
\value{
Renvoie \code{data} avec uniquement les colonnes dont le nom contient \code{value}.
}
\examples{
data(alicante)

spplot(extract.col(alicante.krige))


}

\keyword{manip}