\name{make.boundary.dcw}
\alias{make.boundary.dcw}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Extrait les coordonnes des frontires d'un pays  partir d'un fichier de points du DCW.}
\description{
Permet d'importer les coordonnes longitude/latitude des frontires d'un pays  partir d'un fichier de points fourni par le Digital Chart of the World (\url{http://www.maproom.psu.edu/dcw/}).
}
\usage{
make.boundary.dcw(file, progression = TRUE, lang = "en")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier texte rcupr par le Digital Chart of the World. Typiquement, ces fichiers sont nomms \emph{country-name2pts.txt}.}
  \item{progression}{logical. Permet d'afficher des messages indiquant la progression de l'analyse du fichier.}
  \item{lang}{character. Permet de choisir la langue des messages utilisateur. \code{fr} pour le franais, \code{en} pour l'anglais.}
}
\details{
Lit le fichier texte. Si celui-ci contient les coordonnes de plusieurs polygones, les affiche et demande  l'utilisateur de choisir le polygone principal.
}
\value{
data.frame avec deux colonnes, \emph{x} et \emph{y}.
}
\note{
La lecture ligne  ligne du fichier texte peut tre longue. Soyez patient.

Pour un exemple concret, voir le tutoriel de prevR (\file{tutoriel.prevR.pdf}).
}
\examples{
\dontrun{

burkina.bounds <- make.boundary.dcw('burkina_faso2pts.txt')

}
}
\keyword{file}