\name{read.spss2}
\alias{read.spss2}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Lire un fichier SPSS au format sav.}
\description{
Cette fonction est identique  \code{\link[foreign]{read.spss}} excepte sur un point. En effet, si dans le fichier SPSS, une variable comporte des tiquettes de valeurs non prsentes dans les donnes, \code{\link[foreign]{read.spss}} renvoie une colonne de type \emph{atomic} tandis que \code{read.spss2} renvoie une colonne de type {factor}.
}
\usage{
read.spss2(
   file,
   use.value.labels = TRUE,
   to.data.frame = FALSE,
   max.value.labels = Inf,
   trim.factor.names = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier \emph{sav}  lire et transformer en data.frame.}
  \item{use.value.labels}{logical. Convertir les variables avec des tiquettes de valeurs en colonnes de type \emph{factor} ?}
  \item{to.data.frame}{logical. Renvoyer un data.frame ? Renvoie une liste sinon.}
  \item{max.value.labels}{logical. Seules les variables ayant au maximum ce nombre de modalits seront converties en \emph{factor}.}
  \item{trim.factor.names}{logical. Supprimer les espaces des \emph{factor levels} ?}
}
\details{
Cette fonction est identique  read.spss excepte sur un point. Si, dans le fichier SPSS, une variable comporte des tiquettes de valeurs non prsentes dans les donnes, read.spss renvoie une colonne de type \emph{atomic} tandis que \code{read.spss2} renvoie une colonne de type {factor}.
}
\seealso{\code{\link[foreign]{read.spss}} pour plus de dtails sur cette fonction.}
\examples{
\dontrun{
read.spss('file.sav')
}
}
\keyword{file}