\name{write.txt}
\alias{write.txt}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Exporter un data.frame au format texte tabul.}
\description{
Permet d'exporter un data.frame au format texte, les valeurs tant spares par des tabulations.}
\usage{
write.txt(x, file, dec = ".")
}
\arguments{
  \item{x}{data.frame. Donnes  exporter.}
  \item{file}{character. Nom du fichier  crer.}
  \item{dec}{character. Charactre de sparation des dcimales.}
}
\details{
Est quivalent  \cr
\code{   write.table(x,
      file = file,
      sep="\\t",
      row.names = FALSE,
      quote = FALSE,
      dec = dec)}.
}
\seealso{\code{\link[base]{write.table}} pour plus d'options d'export.}
\examples{
\dontrun{
data(alicante)

write.txt(alicante.clust,'alicante-clusters.txt')

#Pour importer dans Excel version franaise :
write.txt(alicante.clust,'alicante-clusters.txt', dec=',')
}
}

\keyword{file}
